<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0 Transitional//EN'>
<html>
	<head> 
		<%@ taglib uri='http://java.sun.com/jstl/fmt' prefix='fmt' %>
		<%@ taglib uri='http://java.sun.com/jsf/html' prefix='h' %>
		<%@ taglib uri='http://java.sun.com/jsf/core' prefix='f' %>

		<title><h:output_text key='login.title'/></title>
	</head>

	<body>
		<fmt:setBundle basename='messages' scope='session' var='messages'/>

		<f:use_faces>
			<h2><h:output_text key='login.greeting' bundle='messages'/></h2>

			<h:form id='loginForm' formName='loginForm'>
				<table>
					<tr>
						<td><h:output_text key='login.name' bundle='messages'/></td>
						<td>
						   <h:input_text id='username' valueRef='user.name'>
							   <f:validate_length minimum='3'/>
							   <f:validate_required/>
							</h:input_text>
						</td>
						<td><h:output_errors for='username'/></td>
					</tr>

					<tr>
						<td><h:output_text key='login.password' bundle='messages'/></td>
						<td><h:input_secret/></td>
					</tr>
					<tr><td>&nbsp;</td></tr>
					<tr>
						<td><h:command_button commandName='login' label='Log In'
						                           action='login'/></td>
					</tr>
				</table>
			</h:form>
		</f:use_faces>
	</body>
</html>  
