<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0 Transitional//EN'>
<html>
	<%@ taglib uri='http://java.sun.com/jsf/core' prefix='f' %>

	<f:use_faces>
		<head> 
			<%@ taglib uri='http://java.sun.com/jstl/fmt'  prefix='fmt' %>
			<%@ taglib uri='http://java.sun.com/jsf/html'  prefix='h' %>
			<%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

			<fmt:setBundle basename='messages' scope='session' var='messages'/>
	
			<title>
				<h:output_text key='register.window.title' bundle='messages'/>
			</title>
		</head>

		<style type='text/css'>
			@import url(<c:out value='${pageContext.request.contextPath}'/>/site.css);
		</style>

		<body>
			<h:output_text key='register.page.title' bundle='messages' 
					 outputClass='emphasis'/>
			<p>
			<h:form formName='blank'>
				<h:panel_grid columns='2'>
					<h:output_text key='register.streetAddress.prompt' bundle='messages'/>
					<h:input_text id='streetAddress' valueRef='registerForm.streetAddress'/>

					<h:output_text id='cityPrompt' key='register.city.prompt' bundle='messages'/>
					<h:input_text id='city' valueRef='registerForm.city'/>

					<h:output_text id='statePrompt' key='register.state.prompt' bundle='messages'/>
					<h:input_text id='state' valueRef='registerForm.state'/>

					<h:output_text key='register.country.prompt' bundle='messages'/>
					<h:selectone_menu valueRef="registerForm.country"
						         onchange="submit()">
						<f:valuechanged_listener type='listeners.CountryChanged'/>
						<h:selectitems valueRef='registerForm.countryNames'/>
					</h:selectone_menu>
				</h:panel_grid>
				<p>
				<h:command_button actionRef='registerForm.action' 
									 			key='register.submit' bundle='messages' 
									 commandName='immaterial'/>
			</h:form>
		</body>
   </f:use_faces>
</html>  
