<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0 Transitional//EN'>
<html>
	<head> 
		<%@ taglib uri='http://java.sun.com/jsf/html' prefix='h' %>
		<%@ taglib uri='http://java.sun.com/jsf/core' prefix='f' %>
		<%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

		<title><h:output_text key='welcome.title' bundle='messages'/></title>
	</head>

	<c:set var='context' value='${pageContext.request.contextPath}'/>

	<style type='text/css'>
	   @import url(<c:out value='${context}'/>/site.css);
	</style>

	<body>
		<f:use_faces>
			<h:output_message key='welcome.page.title' bundle='messages' outputClass='emphasis'>
				<f:parameter id='param1' valueRef='registerForm.name'/>
			</h:output_message>

			<p>

			<h:panel_grid columns='2' cellspacing='10'>
				<h:output_text key='register.name.prompt' bundle='messages'/>
				<h:output_text valueRef='registerForm.name' outputClass='value'/>

				<h:output_text key='register.dateOfBirth.prompt' bundle='messages'/>
				<h:output_date valueRef='registerForm.dateOfBirth' dateStyle='short' outputClass='value'/>

				<h:output_text key='register.login.name.prompt' bundle='messages'/>
				<h:output_text valueRef='registerForm.loginName' outputClass='value'/>

				<h:output_text key='register.emailAddress.prompt' bundle='messages'/>
				<h:output_text valueRef='registerForm.emailAddress' outputClass='value'/>
			</h:panel_grid>
		</f:use_faces>
	</body>
</html>  
