package forms;

import java.util.*;
import javax.servlet.ServletContext;

import javax.faces.application.Action;
import javax.faces.context.FacesContext;
import javax.faces.component.SelectItem;

import beans.Address;

public class RegisterForm {
	private static final String[] COUNTRY_NAMES = { "United States", "Canada" };
	private static ArrayList countryItems = null;

	private String name, emailAddress, loginName, password, passwordConfirm;
	private Date dateOfBirth;
	private Address address = new Address();

	public Collection getCountryNames() {
		if(countryItems == null) {
			countryItems = new ArrayList();
			for(int i=0; i < COUNTRY_NAMES.length; ++i) {
				countryItems.add(new SelectItem(COUNTRY_NAMES[i], 
														  COUNTRY_NAMES[i], COUNTRY_NAMES[i]));
			}
		}
		return countryItems;
	}

	public void setDateOfBirth(Date dateOfBirth) { this.dateOfBirth = dateOfBirth; }
	public Date getDateOfBirth()                 { return dateOfBirth; }

	public void setStreetAddress(String streetAddress) { address.setStreetAddress(streetAddress); }
	public void setCity(String city)                   { address.setCity(city); }
	public void setState(String state)                 { address.setState(state); }
	public void setCountry(String country)             { address.setCountry(country); }
	public void setZip(long zip) 								{ address.setZip(zip); }

	public void setEmailAddress(String emailAddress) {this.emailAddress = emailAddress; }
	public void setName(String name)                 { this.name = name; }
	public void setLoginName(String loginName)             { this.loginName = loginName; }
	public void setPassword(String password)               { this.password = password; }
	public void setPasswordConfirm(String passwordConfirm) { this.passwordConfirm = passwordConfirm; }

	public String getEmailAddress()    { return emailAddress; }
	public String getName()            { return name; }
	public String getLoginName()       { return loginName; }
	public String getPassword()        { return password; }
	public String getPasswordConfirm() { return passwordConfirm; }

	public String getStreetAddress() { return address.getStreetAddress(); }
	public String getCity()          { return address.getCity(); }
	public String getState()         { return address.getState(); }
	public String getCountry()       { return address.getCountry(); }
	public long getZip() 				{ return address.getZip(); }

	public Action getAction() {
		return new Action() {
			public String invoke() {
				ServletContext sc = (ServletContext)FacesContext.
			 						getCurrentInstance().getExternalContext().getContext();	
				sc.log("Register action handled");
				return "success";
			}
		};
	}
}
