package listeners;

import java.util.Iterator;
import javax.servlet.ServletContext;

import javax.faces.FactoryFinder;
import javax.faces.component.UIComponent;
import javax.faces.component.UIForm;
import javax.faces.component.UIOutput;
import javax.faces.context.FacesContext;
import javax.faces.event.ValueChangedEvent;
import javax.faces.event.ValueChangedListener;
import javax.faces.event.PhaseId;
import javax.faces.lifecycle.LifecycleFactory;

public class CountryChanged implements ValueChangedListener {
	public PhaseId getPhaseId() {
		return PhaseId.ANY_PHASE;
	}
	public void processValueChanged(ValueChangedEvent event) {
		UIComponent c = (UIComponent)event.getSource(),
		  cityPrompt  = c.getParent().findComponent("cityPrompt"),
		  statePrompt = c.getParent().findComponent("statePrompt");

		if("Canada".equals(event.getNewValue())) {
			cityPrompt.setAttribute ("key", "register.municipality.prompt");
			statePrompt.setAttribute("key", "register.province.prompt");
		}
		else {
			cityPrompt.setAttribute ("key", "register.city.prompt");
			statePrompt.setAttribute("key", "register.state.prompt");
		}
		FacesContext.getCurrentInstance().renderResponse();
	}
}
